import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class PathPanel extends JPanel {

    Path path;

    public PathPanel(Path path) {
        this.path = path;
        setPreferredSize(new Dimension(400,400));
        setBackground(Color.WHITE);
        setOpaque(true);
        addMouseListener(new MyListener());
    }

    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.setColor(Color.BLACK);
        for (int i=0; i<path.getCount()-1; i++) {
            Point p = path.getPoint(i);
            Point q = path.getPoint(i+1);
            g.drawLine(p.getX(),p.getY(),q.getX(),q.getY());
        }
        for (int i=0; i<path.getCount(); i++) {
            Point p = path.getPoint(i);
            g.fillOval(p.getX()-3,p.getY()-3,6,6);
        }
        g.setColor(Color.RED);
        g.drawString("" + PointLib.pathLength(path),10,390);
    }

    private class MyListener extends MouseAdapter {
        public void mouseClicked(MouseEvent e) {
            path.addPoint(new Point(e.getX(),e.getY()));
            repaint();
        }
    }
}
                         