public class PointLib {

    public static double distance(Point p, Point q) {
        int dx = p.getX() - q.getX();
        int dy = p.getY() - q.getY();
        return Math.sqrt(dx*dx + dy*dy);
    }

    public static Point mirrorX(Point p) {
        return new Point(p.getX(),-p.getY());
    }

    public static double pathLength(Path path) {
        double res = 0;
        for (int i=0; i<path.getCount()-1; i++) {
            Point p = path.getPoint(i);
            Point q = path.getPoint(i+1);
            res = res + distance(p,q);
        }
        return res;
    }
}
